package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.TSSDEngine;
import com.sa.ibiz.demo.demo.service.dto.TSSDEngineSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[TSSDEngine] 服务对象接口
 */
public interface TSSDEngineService extends IService<TSSDEngine>{

		TSSDEngine get(TSSDEngine et);
	boolean getDraft(TSSDEngine et);
	boolean checkKey(TSSDEngine et);
	boolean create(TSSDEngine et);
	boolean remove(TSSDEngine et);
	boolean update(TSSDEngine et);
    List<TSSDEngine> listDefault(TSSDEngineSearchFilter filter) ;
	Page<TSSDEngine> searchDefault(TSSDEngineSearchFilter filter);
	/**	 实体[TSSDEngine] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }